subversion-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Branko ─îibej <br...@apache.org>
Subject Re: "Expected format '3' of repository; found format '5' "
Date Tue, 08 May 2018 20:12:20 GMT
On 08.05.2018 22:03, Philip Martin wrote:
> Paul Greene <paul.greene.va@gmail.com> writes:
>
>> I'm migrating an SVN server to a new server. The old server is running an
>> ancient version of Redhat and version 1.4 of subversion.
>>
>> The new server is running CentOS 7 and version 1.7 of subversion.
>>
>> I'm creating some test dump files to copy from the old server to the new
>> one. When I go to run "svnadmin dump repo.name > repo.name.dump" I get this
>> error on some of the repos:
>>
>> "svnadmin: Expected format '3' of repository; found format '5' "
>>
>> I get the same error if I try to run this command remotely as well - "svn
>> list svn://svnserver/data/subversion/repo.name"
>>
>> Some generate a normal result, and some generate the above error. It seems
>> the newer the repo, the more likely it will push that error.
>>
>> I'm guessing it's related to differing version numbers between what the
>> repos were created with and the current version of the svn software.
>>
>> What is needed to get around this error?
> That error comes from the libsvn_repos layer of Subversion but would
> only be produced by Subversion older than 1.4.  Your claim to be running
> 1.4 is probably incorrect, what does "svnadmin --version" show?
>
> You may have more than one version of Subversion installed on the old
> server.  If you can find and use a more recent version you should be
> able to access the repository.
>
> Alternatively, you do not need to dump/load to move servers.  If the
> repository on the old server is not live then you could simply copy it
> to the new server.  Subversion 1.7 will be able to read/write the copied
> repository.


Actually this could be quite a problem, because FSFS format version 5
was never present in any official release of Subversion. According to
our release notes, it appeared in some 1.7.0-alpha versions, but
official 1.7.x uses format 4 (as does 1.6.x) and will error out if it
sees a format 5 repository.

Someone must have played a little loose with pre-release code on a
production server.

-- Brane


Mime
View raw message